Subject: Re: [PATCH 0/5] gitweb: Support for arbitrary diffs

From: Jakub Narebski <[email-masked]>
Date: Mon, 3 Sep 2007 10:23:41 +0200

On Mon, 3 September 2007, Petr "Pasky" Baudis wrote:

> To hijack this post a bit, another patch in the queue (the incremental
> blame thingie) introduces blame.js. Do you think that we should keep the
> .js files separate, or instead have one big gitweb.js with everything?
> I'm inclined to the second possibility in order to reduce the number of
> requests, but it comes at a price of slightly worse maintainability.

On the other hand if we have blame.js separate, we could load it
(require it) only for the 'blame' view, it means only when needed.

gitweb.js would contain JavaScript code used by all (or almost all)
views, then...

I don't think gitweb.js would be as large as gitweb.perl, if we are
talking about maintability ;-)

-- 
Jakub Narebski
Poland